DefaultCompositeBuilderCustomizer (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.builder
[Java] Class DefaultCompositeBuilderCustomizer

    java.lang.Object
      org.codehaus.griffon.runtime.builder.DefaultCompositeBuilderCustomizer

All Implemented Interfaces:
  CompositeBuilderCustomizer

    public class DefaultCompositeBuilderCustomizer
    extends Object

Default implementation of the `CompositeBuilderCustomizer` interface.

Authors:
  Andres Almiray

Since:
  0.9.3

Field Summary
`private static org.slf4j.Logger` | `LOG`

Constructor Summary
`DefaultCompositeBuilderCustomizer()`

Method Summary
`void` | `registerBeanFactory(FactoryBuilderSupport builder, String name, String groupName, Class beanClass)`
`void` | `registerExplicitMethod(FactoryBuilderSupport builder, String name, String groupName, Closure method)`
`void` | `registerExplicitProperty(FactoryBuilderSupport builder, String name, String groupName, Closure getter, Closure setter)`
`void` | `registerFactory(FactoryBuilderSupport builder, String name, String groupName, Factory factory)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### LOG

    private static final org.slf4j.Logger LOG

Constructor Detail

### DefaultCompositeBuilderCustomizer

    DefaultCompositeBuilderCustomizer()

Method Detail

### registerBeanFactory

    public void registerBeanFactory(FactoryBuilderSupport builder, String name, String groupName, Class beanClass)

### registerExplicitMethod

    public void registerExplicitMethod(FactoryBuilderSupport builder, String name, String groupName, Closure method)

### registerExplicitProperty

    public void registerExplicitProperty(FactoryBuilderSupport builder, String name, String groupName, Closure getter, Closure setter)

### registerFactory

    public void registerFactory(FactoryBuilderSupport builder, String name, String groupName, Factory factory)

Groovy Documentation